Create Employee
curl --request POST \
--url https://integration.getmateo.com/api/v1/employee \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_admin": false,
"username": "<string>",
"signature": "<string>",
"full_name": "<string>",
"email": "<string>",
"display_name": "<string>"
}
'import requests
url = "https://integration.getmateo.com/api/v1/employee"
payload = {
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_admin": False,
"username": "<string>",
"signature": "<string>",
"full_name": "<string>",
"email": "<string>",
"display_name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'random uuid',
created_at: 'now()',
updated_at: 'now()',
organisation_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
user_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
is_admin: false,
username: '<string>',
signature: '<string>',
full_name: '<string>',
email: '<string>',
display_name: '<string>'
})
};
fetch('https://integration.getmateo.com/api/v1/employee', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_admin": false,
"username": "<string>",
"signature": "<string>",
"full_name": "<string>",
"email": "<string>",
"display_name": "<string>"
}{
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_admin": false,
"username": "<string>",
"signature": "<string>",
"full_name": "<string>",
"email": "<string>",
"display_name": "<string>"
}This response has no body data.Employee
Create Employee
Create a new employee
Create Employee
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filtering Columns
Body
application/json
employee
Employee ID
Employee creation date
Latest update
Organisation ID
User ID
Is employee an admin?
Name of employee
Signature of employee
Name of employee
Email of employee
Displayed name of the employee in the Mateo app
Response
The updated Employee object
Employee ID
Employee creation date
Latest update
Organisation ID
User ID
Is employee an admin?
Name of employee
Signature of employee
Name of employee
Email of employee
Displayed name of the employee in the Mateo app
⌘I